 %Parse: /* to example B69 */
  procedure (Value, With) statement;

  dcl (Value, With) char;
  dcl (A, B, C, Name) char;
  dcl K fixed;

  if ^parmset(Value) | ^parmset(With) then do;
     note ('Option missing in parse statement.', 12);
     return ('/*?*/');
     end;

  K = index(With, "'");
  A = substr(With, 1, K-1);
  B = substr(With, K, 3);
  C = substr(With, K+3);
  Name = '$' || counter();
  ans ('do;') skip noscan;
  ans (comment('parse value (' || Value || ') with ('
       || With || ');')) skip noscan;
  ans ('dcl ' || Name || ' fixed bin;') skip noscan;
  ans (Name || ' = index(' || Value || ', ' || B || ');')
      skip noscan;
  ans (A || ' = substr(' || Value || ', 1, ' || Name || '-1);')
      skip noscan;
  ans (C || ' = substr(' || Value || ', ' || Name || '+1);')
      skip noscan;
  ans ('end;') skip noscan;

 %end Parse;
